Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: arduino-builder
Source: https://github.com/arduino/arduino-builder

Files:     *
Copyright: 2015 Arduino LLC and contributors
License:   GPL-2

Files:     */SPI.cpp
           */SPI.h
Copyright: 2010 Cristian Maglie <c.maglie@arduino.cc>
           2014 Andrew J. Kroll <xxxajk@gmail.com>
           2014 Matthijs Kooijman <matthijs@stdin.nl>
           2014 Paul Stoffregen <paul@pjrc.com>
License:   GPL-2 or LGPL-2.1

Files:     src/arduino.cc/builder/*.go
           src/arduino.cc/properties/*.go
           src/arduino.cc/timeutils/*
Copyright: 2015-2017 Arduino LLC (http://www.arduino.cc/)
License:   GPL-2+
Comment:
 As a special exception, you may use this file as part of a free software
 library without restriction. Specifically, if other files instantiate
 templates or use macros or inline functions from this file, or you compile
 this file and link it with other files to produce an executable, this
 file does not by itself cause the resulting executable to be covered by
 the GNU General Public License. This exception does not however
 invalidate any other reasons why the executable file might be covered by
 the GNU General Public License.

Files:     src/arduino.cc/builder/test/libraries/USBHost/src/*
Copyright: 2011 Circuits At Home, LTD.
License:   GPL-2

Files:     src/arduino.cc/arduino-builder/main.go
           src/arduino.cc/builder/constants/constants.go
           src/arduino.cc/builder/sketch_source_merger.go
           src/arduino.cc/builder/test/helper.go
           src/arduino.cc/builder/test/prototypes_adder_test.go
           src/arduino.cc/builder/test/sketch_source_merger_test.go
           src/arduino.cc/builder/test/try_build_of_problematic_sketch_test.go
Copyright: 2015 Matthijs Kooijman
           2015 Arduino LLC (http://www.arduino.cc/)
License:   GPL-2+
Comment:
 As a special exception, you may use this file as part of a free software
 library without restriction.  Specifically, if other files instantiate
 templates or use macros or inline functions from this file, or you compile
 this file and link it with other files to produce an executable, this
 file does not by itself cause the resulting executable to be covered by
 the GNU General Public License.  This exception does not however
 invalidate any other reasons why the executable file might be covered by
 the GNU General Public License.

Files:     src/arduino.cc/builder/test/libraries/USBHost/src/KeyboardController.cpp
           src/arduino.cc/builder/test/libraries/USBHost/src/KeyboardController.h
           src/arduino.cc/builder/test/libraries/USBHost/src/MouseController.cpp
           src/arduino.cc/builder/test/libraries/USBHost/src/MouseController.h
Copyright: 2012 Arduino
License:   LGPL-2.1+

License:   GPL-2
 On Debian systems, the full text of the GNU General Public License
 version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.

License:   GPL-2+
 On Debian systems, the full text of the GNU General Public License
 version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.

License:   LGPL-2.1
 On Debian systems, the full text of the GNU Lesser General Public
 License Version 2.1 can be found in
 `/usr/share/common-licenses/LGPL-2.1'.

License:   LGPL-2.1+
 On Debian systems, the full text of the GNU Lesser General Public
 License Version 2.1 can be found in
 `/usr/share/common-licenses/LGPL-2.1'.
